org.apache.tomcat.util.http

## Class ConcurrentDateFormat

- java.lang.Object
- - org.apache.tomcat.util.http.ConcurrentDateFormat

-     public class ConcurrentDateFormat
      extends Object

  A thread safe wrapper around `SimpleDateFormat` that does not make use of ThreadLocal and - broadly - only creates enough SimpleDateFormat objects to satisfy the concurrency requirements.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentDateFormat(String format, Locale locale, TimeZone timezone)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `format(Date date)`
    `Date` | `parse(String source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentDateFormat

          public ConcurrentDateFormat(String format,
                                      Locale locale,
                                      TimeZone timezone)

  - ### Method Detail

    - #### format

          public String format(Date date)

    - #### parse

          public Date parse(String source)
                     throws ParseException

      Throws:
        `ParseException`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.